CVE-2020-28241

Published: 06 November 2020

libmaxminddb before 1.4.3 has a heap-based buffer over-read in dump_entry_data_list in maxminddb.c.

Priority

Medium

CVSS 3 base score: 6.5

Status

Package Release Status
libmaxminddb
Launchpad, Ubuntu, Debian
Upstream
Released (1.4.3)
Ubuntu 21.04 (Hirsute Hippo)
Released (1.4.2-0ubuntu2)
Ubuntu 20.10 (Groovy Gorilla)
Released (1.4.2-0ubuntu1.20.10.1)
Ubuntu 20.04 LTS (Focal Fossa)
Released (1.4.2-0ubuntu1.20.04.1)
Ubuntu 18.04 LTS (Bionic Beaver) Needed

Ubuntu 16.04 LTS (Xenial Xerus) Needed

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

Ubuntu 12.04 ESM (Precise Pangolin) Does not exist

Patches:
Upstream: https://github.com/maxmind/libmaxminddb/pull/237
Upstream: https://github.com/maxmind/libmaxminddb/commit/eac45e29196bcde1d123a6035c15d30356bed248